com.icesoft.faces.facelets.component

## Class ComponentConfig

- java.lang.Object
- - com.icesoft.faces.facelets.component.ComponentConfig

- All Implemented Interfaces:
    java.io.Serializable

      public class ComponentConfig
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.logging.Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `getCss()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getImages()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getImagesNoContext()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getJavascript()`
    `java.lang.String` | `getNextUniqueId()`
    `protected java.lang.String` | `getPathBase()`
    `protected java.lang.String` | `registerCSS(java.lang.String name)`
    `protected java.lang.String` | `registerImage(java.lang.String name)` Register an image resource for use in the application.
    `protected java.lang.String` | `registerImageWithoutContext(java.lang.String name)`
    `protected java.lang.String` | `registerJavascript(java.lang.String path)`
    `protected void` | `registerJavascriptWithRelativePath(java.lang.String path)`
    `void` | `setCssRegistry(java.util.Map<java.lang.String,java.lang.String> cssRegistry)`
    `void` | `setImageRegistry(java.util.Map<java.lang.String,java.lang.String> imageRegistry)`
    `void` | `setJavascriptAutoLoad(java.lang.String str)`
    `void` | `setJavascriptRegistry(java.util.Map<java.lang.String,java.lang.String> jsRegistry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static java.util.logging.Logger log

  - ### Constructor Detail

    - #### ComponentConfig

          public ComponentConfig()

  - ### Method Detail

    - #### getImages

          public java.util.Map<java.lang.String,java.lang.String> getImages()

    - #### setImageRegistry

          public void setImageRegistry(java.util.Map<java.lang.String,java.lang.String> imageRegistry)

    - #### setJavascriptAutoLoad

          public void setJavascriptAutoLoad(java.lang.String str)

    - #### setJavascriptRegistry

          public void setJavascriptRegistry(java.util.Map<java.lang.String,java.lang.String> jsRegistry)

    - #### getImagesNoContext

          public java.util.Map<java.lang.String,java.lang.String> getImagesNoContext()

    - #### setCssRegistry

          public void setCssRegistry(java.util.Map<java.lang.String,java.lang.String> cssRegistry)

    - #### getCss

          public java.util.Map<java.lang.String,java.lang.String> getCss()

    - #### getJavascript

          public java.util.Map<java.lang.String,java.lang.String> getJavascript()

    - #### getPathBase

          protected java.lang.String getPathBase()

    - #### registerJavascriptWithRelativePath

          protected void registerJavascriptWithRelativePath(java.lang.String path)

    - #### registerJavascript

          protected java.lang.String registerJavascript(java.lang.String path)

    - #### registerImage

          protected java.lang.String registerImage(java.lang.String name)

      Register an image resource for use in the application.
      Parameters:
        `name` - The name of the image (may be in same package as Config class or the full path anywhere in the jar)
      Returns:
        The accessible url path of the registered image

    - #### registerImageWithoutContext

          protected java.lang.String registerImageWithoutContext(java.lang.String name)

    - #### registerCSS

          protected java.lang.String registerCSS(java.lang.String name)

    - #### getNextUniqueId

          public java.lang.String getNextUniqueId()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.